# frozen_string_literal: true

require 'ssh_smart/version'
require 'net/scp'
require 'net/ssh'

class SSH
  attr_accessor :host, :login, :password, :inbox, :work, :outbox

  def initialize(host, login, password, inbox, work, outbox)
    @host = host
    @login = login
    @password = password
    @inbox = inbox
    @work = work
    @outbox = outbox
  end

  def copyFileToRemote(fileRemote)
    method = false
    Net::SCP.start(@host, @login, password: @password) do |scp|
      scp.upload(fileRemote, @inbox)
    end
    method = true if checkFolderFile(@outbox, File.basename(fileRemote))
    method
  end

  def checkFolderFile(dirFile, fileName)
    returnMethod = false
    result = ''
    method = false
    Net::SSH.start(@host, @login, password: @password) do |ssh|
      result = ssh.exec!("cd #{dirFile} && ls")
    end
    method = true if result.include? fileName
    method
  end

  def retornar
    puts 'Funcionando!!'
  end
end
